SDL_RenderTextureAffine(3)

NAME
SDL_RenderTextureAffine - Copy a portion of the source texture to the current rendering target, with affine transform, at subpixel precision.

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_RenderTextureAffine(SDL_Renderer *renderer, SDL_Texture *texture,
                         const SDL_FRect *srcrect, const SDL_FPoint *origin,
                         const SDL_FPoint *right, const SDL_FPoint *down);

FUNCTION PARAMETERS

renderer
    the renderer which should copy parts of a texture.

texture
    the source texture.

srcrect
    a pointer to the source rectangle, or NULL for the entire texture.

origin
    a pointer to a point indicating where the top-left corner of srcrect should be mapped to, or NULL for the rendering target's origin.

right
    a pointer to a point indicating where the top-right corner of srcrect should be mapped to, or NULL for the rendering target's top-right corner.

down
    a pointer to a point indicating where the bottom-left corner of srcrect should be mapped to, or NULL for the rendering target's bottom-left corner.

RETURN VALUE
for more information.

THREAD SAFETY
You may only call this function from the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_RenderTexture(3)